1. Please take a little time for this simple survey! Thank you for participating!
    Dismiss Notice
  2. Dear Pleskians, please read this carefully! New attachments and other rules Thank you!
    Dismiss Notice
  3. Dear Pleskians, I really hope that you will share your opinion in this Special topic for chatter about Plesk in the Clouds. Thank you!
    Dismiss Notice

Expand / Server / System Health / Components Displays Problem yet no problem found

Discussion in 'Plesk Expand 2.3 Troubleshooting Issues' started by eugenevdm, Jul 2, 2008.

  1. eugenevdm

    eugenevdm Silver Pleskian

    30
    68%
    Joined:
    Nov 11, 2003
    Messages:
    611
    Likes Received:
    0
    On our Expand server, if we click on Server -> System Health -> Components we see an error:

    Plesk Expand servers : Problem (1 problem servers)

    However we cannot find this problem server. We only have one Expand server.

    Everything else is OK.

    Plesk Expand License OK (view license detales)
    Plesk Expand servers Problem (1 problem servers)
    Central mail servers OK
    Central mail accounts OK
    Central DNS servers OK
    Central DNS zones OK
    Backup processes OK

    When we click on the "1 problem servers" hyper link it goes to the 4 servers in our Expand hierarchy. All four servers are OK.

    Should I worry about this issue? Is anyone else getting it?
     
  2. Bers

    Bers Basic Pleskian Staff Member

    23
    70%
    Joined:
    Jul 31, 2001
    Messages:
    73
    Likes Received:
    0
    Hi, Eugene.

    There are only three reasons why your Plesk server can be marked as problem:

    1. Plesk server has gone offline. But in this case you would see the red icon in the list of servers.

    2. The license of Plesk server has expired. The red icon is also displayed in the list of servers.

    3. Plesk server has a wong API version unsupported by Expand. In this case red icon would not be shown.

    So check it. The minimal Plesk API version supported by Expand is 1.4.2.0.
     
  3. eugenevdm

    eugenevdm Silver Pleskian

    30
    68%
    Joined:
    Nov 11, 2003
    Messages:
    611
    Likes Received:
    0
    Thank you for the advice. I believe my Central Mail server would have an old version of the API. How to I check which version of the Plesk API is running on a server?
     
  4. Bers

    Bers Basic Pleskian Staff Member

    23
    70%
    Joined:
    Jul 31, 2001
    Messages:
    73
    Likes Received:
    0
    To see the list of suported API versions go to the Plesk server page in the Expand CP and press the Capability Info button.
     
  5. eugenevdm

    eugenevdm Silver Pleskian

    30
    68%
    Joined:
    Nov 11, 2003
    Messages:
    611
    Likes Received:
    0
    Still trying to figure out this Plesk API version thing

    Bers, thank you for the tip. On my system my central mail server is not listed on the server list. I saw in the database there is more info:

    Expand database:
    plesk_server_api_version table

    For each of the servers there are multiple versions. The latest version for each server is:

    Server ID #7: 1.5.2.1 windows
    Server ID # 11: 1.5.1.0 central mail server
    Server ID # 12: 1.5.2.1 linux
    Server ID # 13: 1.5.2.1 windows
    Server ID # 14: 1.5.2.1 linux

    The central mail server's version is higher than the minimum spec that you mention:
    1.4.2.0.

    I have no problem with upgrading the central mail server to the latest version of Plesk. The only reason why I haven't done so yet is because I have been holding out for Parallels to support Greylisting for QMail, but now I see there is a good new solution Spamdyke (http://forum.swsoft.com/showthread.php?t=50494) that has Greylisting and more and does not need QMail to be recompiled.

    The red icon does however stay a mystery. I will inform you after the upgrade what the progress is.
     
Loading...